package Align;

use 5.006;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Align ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	Align
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.01';

require XSLoader;
XSLoader::load('Align', $VERSION);

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Align - Perl extension for sequence alignment using dynamic programming

=head1 SYNOPSIS

 # load the module
 use Align;

 # obtain two DNA sequences; likely from files instead of the two
 # direct assignments
 my $seqA = "ACGTACGT...";
 my $seqB = "TGCATGCA...";

 # align them using the Align() function inside this module
 Align::Align($seqA, $seqB, $A_left, $A_right, $B_left, $B_right);

 # The aligned region found on sequence A is [$A_left,$A_right],
 # and the aligned region on sequence B is [$B_left, $B_right]
 # This module does not return the expanded alignment view.

=head1 DESCRIPTION

Align::Align is a quick dynamic programming alignment function that
aligns two DNA sequences and reports where on each sequence the
aligned regions were found. It does not actually return the
gap-inserted alignment view of the two sequences.

=head2 EXPORT

None by default. You may do 

use Align ':all'

to import the Align function directly into your namespace, so you can omit the
Align:: prefix during the function call.

=head1 SEE ALSO

Align is distributed with the microarray calibration Perl code
available on the Iowa State University Complex Computation Lab website
<http://www.complex.iastate.edu>. It is not intended to be distributed
separately from that software package.

For more general (or more complex) sequence alignment tasks, check
out the BioPerl modules <http://www.bioperl.org>.

=head1 AUTHOR

Hui-Hsien Chou, E<lt>http://www.complex.iastate.eduE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2008 by Hui-Hsien Chou

This code is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License version 3 as
published by the Free Software Foundation. This code is distributed in
the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License v3 at
<http://www.gnu.org/licenses/licenses.html> for more details.

To obtain the latest version visit <http://www.complex.iastate.edu>

=cut
